#include <cb2/Application.h>
#include <cb2/Containers.h>
#include <cb2/Paragraph.h>
#include "common.h"


using namespace CB2;


class App : public Application {
	public:
		App();
};


App::App()
	: Application() {
	String body_anchor = "BODY";
	SetTemplate(new SimpleAppTemplate("Paragraph application", body_anchor), body_anchor);
	
	ContainerBin * bin = new ContainerBin(*this);
	for (int i = 1; i < 6; i++) {
		Text text;
		
		text << "This is a paragraph number " << EM << i << NO_EM << " containing some text. " << STRONG << "Enjoy" << NO_STRONG << " and " << Anchor("http://www.google.com/", "Go Google!");
		new Paragraph(*bin, text);
	}
}


CB2_IMPLEMENT_APP(App);
