/***********************************************************************

  ColorBox2: Image.h
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.4			10th September 2004		initial

***********************************************************************/


#ifndef __CB2__IMAGE_H__
#define __CB2__IMAGE_H__


#include <cb2/utils.h>
#include <cb2/Widgets.h>
#include <cb2/DS.h>


namespace CB2 {

	class Image : public Widget {
		public:
			Image(Container & parent, const String & file);
			Image(Application & parent, const String & file);
			
			virtual ~Image();
	};
	
	
	class ImageDS : public Image {
		public:
			ImageDS(Container & parent, DataSource & ds, const Domain & domain, const String & key);
			ImageDS(Application & parent, DataSource & ds, const Domain & domain, const String & key);
			
			virtual ~ImageDS();
	};
	
}


#endif
