/***********************************************************************

  ColorBox2: Menu.h
    (c) 2004 by Martin Decky
  
  Distributed under the terms of Lesser General Public Licence, see
  COPYING.

  0.4			10th September 2004		initial

***********************************************************************/


#ifndef __CB2__MENU_H__
#define __CB2__MENU_H__


#include <cb2/utils.h>
#include <cb2/Widgets.h>
#include <cb2/Containers.h>
#include <cb2/Paragraph.h>


namespace CB2 {

	
	class Menu : public Widget {
		public:
			Menu(Container & parent);
			Menu(Application & parent);
			
			virtual ~Menu();
	};
	
	
	class TreeMenu : public Widget {
		public:
			TreeMenu(Container & parent);
			TreeMenu(Application & parent);
			
			virtual ~TreeMenu();
	};
	
	
}


#endif
